% test guide generator

clearvars
close all
home

!rm output1.png output2.png output3.png output4.png output5.png
!rm blob1.png blob2.png

out1 = 'output1.png';
blob1 = 'blob1.png';
blob2 = 'blob2.png';
out2 = 'output2.png';
out3 = 'output3.png';
out4 = 'output4.png';
out5 = 'output5.png';
r = '7';
W = '350';
disp_dev = '0.2';
max_disp_x = '0.01';
max_disp_y ='0.04';
blob_v_pos1 = '0.15';
blob_v_pos2 = '0.85';
blob_h_pos1 = '0.52';
blob_h_pos2 = '0.5';
num_int = '20';
blob_mult1 = '2';
blob_mult2 = '1';
dilat_v = '0.002';
dilat_h = '0.0001';
surf_dec = '2';
rho1 = '5'; %rotation
ex1 = '0.26';
sig1 = '0.3';
rho2 = '0';
ex2 = '0.4';
sig2 = '0.4';
rnd_wgt = '0.05';

guide_generator_main(out1,blob1,blob2,out2,out3,out4,out5,r,W,disp_dev,...
    max_disp_x,max_disp_y,blob_v_pos1,blob_v_pos2,blob_h_pos1,...
    blob_h_pos2,num_int,blob_mult1, blob_mult2,dilat_v,dilat_h,...
    surf_dec,rho1,ex1,sig1,rho2,ex2,sig2,rnd_wgt);

!open output5.png

runversion = random_string(10);
system('mkdir -p results')
system(sprintf('cp output5.png results/output5_%s.png',runversion ))
system(sprintf('zip -r results/%s.zip *.m',runversion ))